Package org.apache.xmlbeans.impl.repackage

## Class Repackage

- java.lang.Object
- - org.apache.xmlbeans.impl.repackage.Repackage

-     public class Repackage
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `copy​(InputStream in, OutputStream out)` |
    `static void` | `copy​(Reader r, Writer w)` |
    `static void` | `copyFile​(File from, File to)` |
    `void` | `fillFiles​(List<File> files, File file)` |
    `void` | `finishMovingFiles()` |
    `void` | `justMoveNonJavaFile​(String sourceName, String targetName)` |
    `static void` | `main​(String[] args)` |
    `void` | `moveAlongWithJavaFiles​(String name)` |
    `void` | `recursiveDelete​(File file)` |
    `void` | `repackage()` |
    `void` | `repackageFile​(String name)` |
    `void` | `repackageJavaFile​(String name)` |
    `void` | `repackageNonJavaFile​(String name)` |
    `void` | `repackageNonJavaFile​(String sourceName, String targetName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### main

          public static void main​(String[] args)
                           throws Exception

      Throws:
        `Exception`

    - #### repackage

          public void repackage()
                         throws Exception

      Throws:
        `Exception`

    - #### repackageFile

          public void repackageFile​(String name)
                             throws IOException

      Throws:
        `IOException`

    - #### moveAlongWithJavaFiles

          public void moveAlongWithJavaFiles​(String name)

    - #### finishMovingFiles

          public void finishMovingFiles()
                                 throws IOException

      Throws:
        `IOException`

    - #### repackageNonJavaFile

          public void repackageNonJavaFile​(String name)
                                    throws IOException

      Throws:
        `IOException`

    - #### repackageNonJavaFile

          public void repackageNonJavaFile​(String sourceName,
                                           String targetName)
                                    throws IOException

      Throws:
        `IOException`

    - #### justMoveNonJavaFile

          public void justMoveNonJavaFile​(String sourceName,
                                          String targetName)
                                   throws IOException

      Throws:
        `IOException`

    - #### repackageJavaFile

          public void repackageJavaFile​(String name)
                                 throws IOException

      Throws:
        `IOException`

    - #### copyFile

          public static void copyFile​(File from,
                                      File to)
                               throws IOException

      Throws:
        `IOException`

    - #### copy

          public static void copy​(InputStream in,
                                  OutputStream out)
                           throws IOException

      Throws:
        `IOException`

    - #### copy

          public static void copy​(Reader r,
                                  Writer w)
                           throws IOException

      Throws:
        `IOException`

    - #### fillFiles

          public void fillFiles​(List<File> files,
                                File file)

    - #### recursiveDelete

          public void recursiveDelete​(File file)